using ESpace.DALibrary.SqlServer;

namespace AVC.DataEntity
{
	public class BusIllegal : DataEntityBase
	{
		public BusIllegal()
		{
			base.InitMetaData();
		}

		private System.Int32 _ID;
		public System.Int32 ID
		{
			get
			{
				return this._ID;
			}
			set
			{
				this._ID = value;
				IsChanged = true;
			}
		}

		private System.DateTime _IllegalDateTime;
		public System.DateTime IllegalDateTime
		{
			get
			{
				return this._IllegalDateTime;
			}
			set
			{
				this._IllegalDateTime = value;
				IsChanged = true;
			}
		}

		private System.String _IllegalAddress;
		public System.String IllegalAddress
		{
			get
			{
				return this._IllegalAddress;
			}
			set
			{
				this._IllegalAddress = value;
				IsChanged = true;
			}
		}

		private System.String _IllegalContent;
		public System.String IllegalContent
		{
			get
			{
				return this._IllegalContent;
			}
			set
			{
				this._IllegalContent = value;
				IsChanged = true;
			}
		}

		private System.String _ProcessMan;
		public System.String ProcessMan
		{
			get
			{
				return this._ProcessMan;
			}
			set
			{
				this._ProcessMan = value;
				IsChanged = true;
			}
		}

		private System.String _ProcessResult;
		public System.String ProcessResult
		{
			get
			{
				return this._ProcessResult;
			}
			set
			{
				this._ProcessResult = value;
				IsChanged = true;
			}
		}

		private System.Int32 _BusID;
		public System.Int32 BusID
		{
			get
			{
				return this._BusID;
			}
			set
			{
				this._BusID = value;
				IsChanged = true;
			}
		}

		private System.String _BusLicense;
		public System.String BusLicense
		{
			get
			{
				return this._BusLicense;
			}
			set
			{
				this._BusLicense = value;
				IsChanged = true;
			}
		}

		private System.String _CreateUser;
		public System.String CreateUser
		{
			get
			{
				return this._CreateUser;
			}
			set
			{
				this._CreateUser = value;
				IsChanged = true;
			}
		}

		private System.String _UpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return this._UpdateUser;
			}
			set
			{
				this._UpdateUser = value;
				IsChanged = true;
			}
		}

		private System.DateTime _UpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return this._UpdateDateTime;
			}
			set
			{
				this._UpdateDateTime = value;
				IsChanged = true;
			}
		}

		private System.Int16 _Flag;
		public System.Int16 Flag
		{
			get
			{
				return this._Flag;
			}
			set
			{
				this._Flag = value;
				IsChanged = true;
			}
		}

		private System.DateTime _FlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return this._FlagDateTime;
			}
			set
			{
				this._FlagDateTime = value;
				IsChanged = true;
			}
		}
	}
}